<div class="col-md-3 offset-md-4 p-5">
  <div class="card">
    <div class="card-body">
      <h4>Sign Up</h4>

      <div class="form-group">
        <input type="email" class="form-control" placeholder="Email Address" #userEmail required>
      </div>

      <div class="form-group">
        <input type="password" class="form-control" placeholder="Password" #userPwd required>
      </div>

      <div class="form-group">
        <input type="button" class="btn btn-success btn-block" value="Sign Up" (click)="authService.SignUp(userEmail.value, userPwd.value)">
      </div>

      <div class="form-group">
        <span class="or"><span class="orInner">Or</span></span>
      </div>

      <!-- Calling GoogleAuth Api from AuthService -->
      <div class="form-group">
        <button type="button" class="btn btn-outline-primary" (click)="authService.GoogleAuth()">
          <i class="fab fa-google-plus-g"></i>
          Log in with Google
        </button>
      </div>

      <div class="forgotPassword">
        <a routerLink="/forgot-password">Forgot Password?</a>
      </div>
    </div>

    <div class="redirectToLogin">
      <span>Already have an account? <a routerLink="/sign-in" routerLinkActive="active"> Log In</a></span>
    </div>

  </div>
</div>